LINUX.ORG.RU

Debian 9.5

 ,


0

4

Спустя четыре месяца после предыдущего (9.4) выпуска, проект Debian объявил о выходе пятого корректирующего обновления для стабильной ветки дистрибутива. В его состав вошли как исправления связанные с безопасностью, так и прочие накопившиеся обновления — суммарно 191. Кроме того, по разным причинам (проблемы с зависимостями, неустранимые уязвимости и т.д.) шесть пакетов были удалены из дистрибутива.

Как и всегда в таких случаях, для обновления пользователи Stretch могут воспользоваться штатными средствами. При этом, новые установочные образы с Debian 9.5 также уже доступны.

>>> Подробности и полный список обновлённых пакетов

Кроме того, по разным причинам (проблемы с зависимостями, неустранимые уязвимости и т.д.) шесть пакетов были удалены из дистрибутива.

«репозитарии это удобно и вкусно, ням-ням»

cuelebra ()
Ответ на: комментарий от cuelebra

«репозитарии это удобно и вкусно, ням-ням»

Это ведь не говорит о том, что они у вас из системы исчезнут. ;)

ssh2 ★★ ()
Ответ на: комментарий от cuelebra

Значит ли это что из-за нескольких дефектов(на самом деле нет) сущность переходит в разряд ненужно?

dllmain ()
Ответ на: комментарий от cuelebra

я щас у себя в реддите нашел ответ (3х годичной давности) лидера Дебиан.
https://www.reddit.com/r/linux/comments/3ctb6n/im_neil_mcgovern_debian_project_leader_ask_me/csyutl2/?context=3&utm_content=context&utm_medium=message&utm_source=reddit&utm_name=frontpage

There's issues with this split, and those assumed demands. What would you do if you updated your word processor and suddenly it broke? That's the risk you get with fresh apps and speedy updates.

Also, there's big problems with security updates - if there's a bug in one of the main libraries, you need to update every app, rather than just the library.

RTP ★★★★★ ()
Ответ на: комментарий от RTP

И тут не получится сказать, что жрите что дают. Т.к. Дебиан получается апстримом для убунты, в которой могут навернуть шо хошь

RTP ★★★★★ ()
Ответ на: комментарий от Rinaldus

Поэтому - это почему?

P. S. народ выбирает винду. Или mac на крайний случай

dllmain ()
Ответ на: комментарий от RTP

Что-то я не понимаю с какого при секьюрити дыре в либе надо перекомпилировать все что от нее зависит????

Slackware_user ★★★★★ ()
Package 	        Reason

libnet-whois-perl 	Broken
mlbviewer 	        No longer works due to content provider changes
python-uniconvertor 	Unusable; requires unpackaged dependency
singularity-container 	Not security supportable
undertow 	        Unsupportable; several security issues; alternatives exist
visionegg 	        Unusable; requires no longer available numpy.oldnumeric

кроме requires unpackaged dependency никакого криминала не вижу

Slackware_user ★★★★★ ()
Ответ на: комментарий от Slackware_user

Скажем так, я вот лидеру проекта больше доверяю в этом плане, чем себе :-) Там вопрос то я задал с подковыкой, но весьма актуальный.

Но всё же, при прочих равных я предпочту именно что /Applications (даже в убунтяшном перепеве) чем свободную ОС на основе репозитария.

Я допускаю что идут неформальные дискуссии по поводу отставания от коммерческих ОС. Возможно ответ и базировался на более глубоком анализе положения (на рынке) и технических возможностях. Поэтому и написал, что много надо перекомпилять-пропатчить.

RTP ★★★★★ ()
Ответ на: комментарий от dllmain

У меня как-то виста слетела, да я и почти и забил на виндовс, денег жалько было. А потом ваще в универе бесплатно дали.

Но... есть и те, кто не может ни в кряколку, ни заплатить. (ага, покупают андроид), но всё же совсем списывать со счетов бесплатную убунту - не стоит.

RTP ★★★★★ ()
Ответ на: комментарий от RTP

Меньшинство в редких случаях не списывается со счетов. А математически - списывать не стоит всё, что используется хотя бы одним человеком. Но речь была про народ, т. е. значительное кол-во пользователей

dllmain ()
Ответ на: комментарий от Slackware_user

Что-то я не понимаю с какого при секьюрити дыре в либе надо перекомпилировать все что от нее зависит

Почитайте вопрос. Там как раз рассматривался вариант, что приложухи отделяются от базовой системы в плане зависимостей и все либы таскают с собой.

Другое дело, что всё это приведет к бардаку в системе, когда один разраб пофиксил и выкатил обнову, а другой забил и у тебя софтинка с дырой, и вся идеология Дебиана как стабильной системы пойдет по бороде.

araks ()

проекту желаю успеха. сейчас не использую и не зарекаюсь.

anonymous ()
Ответ на: комментарий от WitcherGeralt

Нет ответственности — нет проблем!

anonymous ()

шесть пакетов были удалены из дистрибутива

Плохо это. На десктопе устроили на ровном месте проблемы с драйверами на вафле (нахера было их трогать?!), на сервере возникли проблемы с исчезнувшими из реп пакетами. И вот опять. Придётся другой дистр искать.

InterVi ()
Ответ на: комментарий от InterVi

говном бебиановской штабильностью пахнет)

anonymous ()
Ответ на: комментарий от playX

Fedora - ужасно падучий тестовый дистрибутив. КРАСНОГЛАЗИКИ его обожают.

anonymous ()
Ответ на: комментарий от InterVi

Я на Fedora 28 с amdgpu.dc=0/1 постоянно страдаю. То на одном ядре система грузится только с установкой параметра в 1, но при этом невозможно сделать в гноме logout без зависание всей системы. То без него мерцает изображение, но возможно переключение на другого пользователя (logout). Сейчас на ядре 4.17 получаю фриз всей системы. В логах ничего страшного нет. Вот так (на ровном месте) проблема на проблеме. Проблемы есть во всех дистрибутивах.

anonymous ()
Ответ на: комментарий от anonymous

Ниразу дистр этот не упал, пользую на ПК, на планшете и на ноутбуке везде гном с вейлендом, ЧЯДНТ? У меня в дебиане было больше проблем чем с федорой, Wifi из коробки - нету, поддержки тачпада/сенсорного экрана - нету, да что уж там говорить, Hackintosh и то лучше работает из коробки чем это УГ мамонта

playX ★★ ()
Ответ на: комментарий от InterVi

Какой из 6 удалённых пакетов сломал вашу вафлю?

anonymous ()
Ответ на: комментарий от playX

Ты мне то не рассказывай про безглючность Fedora. Я её с Fedora Core использую.

anonymous ()

вот реально, заходил с целью написать «что ещё они удалили?» а ответ сразу в ОП. так нечесно.

system-root ★★★ ()

Пользуясь случаем задам вопрос пользователям Debian. Почему инсталятор не может в MiB, GiB? Каждый раз приходится пользоваться калькулятором. С 2007 года шло обсуждение добавления или полного перехода от MB, GB в пользу MiB, Gib. Как сейчас с этим дела?

anonymous ()
Ответ на: комментарий от anonymous

Обсуждение было наоборот в сторону метрических/десятичных. В итоге все забили, а эти успели перейти и ... забили. Лучше вообще не использовать их установщик, это худшее, что есть в Debian.

anonymous ()
Ответ на: комментарий от anonymous

Хотя нет, в том же гноме тоже десятичные. Раздражает.

anonymous ()
Ответ на: комментарий от anonymous

Каждая тузла в линукс живёт своей жизнью. Одна в работает с MB, GB, другая только с MiB, GiB, а третья (такая как lvcreate) при заявленной поддержке обоих систем работает только с одной двоичной. Постоянная путаница.

anonymous ()
Ответ на: комментарий от anonymous

Лучше вообще не использовать Линукс

anonymous ()
Ответ на: комментарий от anonymous

Нашел о чем спросить) Кто вообще им пользуется?

anonymous ()
Ответ на: комментарий от anonymous

Ну, тут много пользователей этого дистрибутива, возможно, кто-то в курсе.

anonymous ()
Ответ на: комментарий от anonymous

У меня и на Rawhide все 3 месяца нормально работало,а потом я решил своими ручками собрать ядро

playX ★★ ()
Ответ на: комментарий от playX

То что одна твоя история успеха не делает погоды всем остальным.
У меня вот в Debian работает и WiFi, и тачпад, но зато не работает твой хвалёный вэйленд, даже с гномом (Вернее - работает через одно место. На Intel, не говоря уже про nVidia и KDE).

dearAmomynous ()
Ответ на: комментарий от dearAmomynous

Так в дебиане гном то и не затачивают под использование, а в федоре как раз и готовят гном для десктопа

playX ★★ ()
Ответ на: комментарий от playX

У меня только на одном ноутбуке от Lenovo не было проблем. На всем остальном железе за 10+ лет всегда были проблемы, софт из репозитория тоже не отличался стабильностью (благо исправления летят как пули из пулемёта).

Ты разработчик Fedora? Rawhide все таки для разработки.

anonymous ()
Ответ на: комментарий от playX

Да и веь ваш дебиан «универсал»,что xочешь то и ставь,но с конфигами и прочим возись сам

playX ★★ ()
Ответ на: комментарий от anonymous

Не разработчик,обычный пользователь,мне просто был нужен на тот момент самый свежий Gnome SDK и Gnome Builder ибо там была допилена поддержка раста,сейчас уже спокойно сижу на 28 федоре

playX ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.